SHAPのインストール時にllvm-configがないというエラーが出る

1 min read読了の目安(約600字

対処方法

結論としては、先に llvmlite の 0.31.0 をインストールすればよいようです。 poetry を利用している場合は下記のようにします。

poetry add llvmlite=0.31.0

経緯

SHAP をインストールしようとしたのですが、下記のようなエラーが発生しました。

FileNotFoundError: [Errno 2] No such file or directory: 'llvm-config'

原因としては、 SHAP が numba に依存しており、numba が llvmlite に依存しているために発生していたようです。 llvmlite の issue に記載されている冒頭の方法で解決しました。 4 月以降のバージョンで発生するようになっているようです。